Kernel SRU Workflow

linux-fsl-imx51: 2.6.31-611.29 -proposed tracker

Reported by Herton R. Krzesinski on 2011-10-12
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Unassigned
Prepare-package
Undecided
ubuntu-armel-kernel
Prepare-package-meta
Undecided
Herton R. Krzesinski
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
Tobin Davis
Security-signoff
Undecided
Marc Deslauriers
Upload-to-ppa
Undecided
Canonical Kernel Team
Verification-testing
Undecided
ubuntu-armel-kernel
linux-fsl-imx51 (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned

Bug Description

This bug is for tracking the <version to be filled> upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Wednesday, 12. October 2011 20:15 UTC
kernel-stable-Certification-testing-end:Wednesday, 12. October 2011 20:31 UTC
kernel-stable-Prepare-package-end:Thursday, 13. October 2011 21:46 UTC
kernel-stable-Promote-to-proposed-start:Thursday, 13. October 2011 21:46 UTC
kernel-stable-Promote-to-proposed-end:Tuesday, 18. October 2011 06:16 UTC
kernel-stable-Verification-testing-start:Tuesday, 18. October 2011 06:16 UTC
kernel-stable-Security-signoff-start:Thursday, 20. October 2011 19:01 UTC
kernel-stable-Verification-testing-end:Thursday, 20. October 2011 19:01 UTC
kernel-stable-Regression-testing-start:Thursday, 20. October 2011 19:01 UTC
kernel-stable-Security-signoff-end:Thursday, 20. October 2011 22:31 UTC
kernel-stable-Promote-to-updates-start:Friday, 21. October 2011 06:31 UTC
kernel-stable-Regression-testing-end:Friday, 21. October 2011 06:31 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 25. October 2011 05:49 UTC
kernel-stable-Promote-to-updates-end:Tuesday, 25. October 2011 05:49 UTC

This tracking bug was opened to be worked from linux-2.6.32-35.78 update (bug 871899)

tags: added: kernel-release-tracking-bug
tags: added: armel
Changed in linux-fsl-imx51 (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
description: updated
Paolo Pisati (p-pisati) wrote :

git://kernel.ubuntu.com/ppisati/ubuntu-lucid.git fsl-imx51

summary: - linux-fsl-imx51: <version to be filled> -proposed tracker
+ linux-fsl-imx51: 2.6.31-611.29 -proposed tracker

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Martin Pitt (pitti) on 2011-10-18
Changed in linux-fsl-imx51 (Ubuntu):
status: In Progress → Invalid
description: updated
Herton R. Krzesinski (herton) wrote :

Some recent linux-fsl-imx51 packages were landing in universe (http://ports.ubuntu.com/pool/universe/l/linux-fsl-imx51/), while previous ones were copied to main in the ports archive. Noticed verifying this today.

It shouldn't prevent testing, verification is done, releasing for testing.

description: updated
Marc Deslauriers (mdeslaur) wrote :

looks good, thanks!

description: updated
Tobin Davis (gruemaster) on 2011-10-21
tags: added: qa-testing-passed
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-fsl-imx51 - 2.6.31-611.29

---------------
linux-fsl-imx51 (2.6.31-611.29) lucid-proposed; urgency=low

  * Release tracking bug
    - LP: #873059

  [ Upstream Kernel Changes ]

  * cifs: fix possible memory corruption in CIFSFindNext, CVE-2011-3191
    - LP: #834135
    - CVE-2011-3191
  * befs: Validate length of long symbolic links, CVE-2011-2928
    - LP: #834124
    - CVE-2011-2928
  * gro: Only reset frag0 when skb can be pulled, CVE-2011-2723
    - LP: #844371
    - CVE-2011-2723
  * Validate size of EFI GUID partition entries, CVE-2011-1776
    - LP: #844365
    - CVE-2011-1776
  * inet_diag: fix inet_diag_bc_audit(), CVE-2011-2213
    - LP: #838421
    - CVE-2011-2213
  * Bluetooth: Prevent buffer overflow in l2cap config request,
    CVE-2011-2497
    - LP: #838423
    - CVE-2011-2497
  * core: Fix memory leak/corruption on VLAN GRO_DROP, CVE-2011-1576
    - LP: #844361
    - CVE-2011-1576
  * crypto: Move md5_transform to lib/md5.c, CVE-2011-3188
    - LP: #827462, #834129
    - CVE-2011-3188
  * net: Compute protocol sequence numbers and fragment IDs using MD5,
    CVE-2011-3188
    - LP: #827462, #834129
    - CVE-2011-3188
  * ext4: correctly calculate number of blocks for fiemap, CVE-2011-2695
    - LP: #474597, #583414, #819574
    - CVE-2011-2695
  * ext4: Fix max file size and logical block counting of extent format
    file, CVE-2011-2695
    - LP: #819574
    - CVE-2011-2695
  * cifs: always do is_path_accessible check in cifs_mount, CVE-2011-3363
    - LP: #866034
    - CVE-2011-3363
  * cifs: add fallback in is_path_accessible for old servers, CVE-2011-3363
    - LP: #866034
    - CVE-2011-3363
  * Make TASKSTATS require root access, CVE-2011-2494
    - LP: #866021
    - CVE-2011-2494
  * proc: restrict access to /proc/PID/io, CVE-2011-2495
    - LP: #866025
    - CVE-2011-2495
  * proc: fix a race in do_io_accounting(), CVE-2011-2495
    - LP: #866025
    - CVE-2011-2495
  * staging: comedi: fix infoleak to userspace, CVE-2011-2909
    - LP: #869261
    - CVE-2011-2909
  * sctp: fix to calc the INIT/INIT-ACK chunk length correctly is set,
    CVE-2011-1573
    - LP: #869205
    - CVE-2011-1573
  * perf tools: do not look at ./config for configuration, CVE-2011-2905
    - LP: #869259
    - CVE-2011-2905
  * net_sched: Fix qdisc_notify() - CVE-2011-2525
    - LP: #869250
    - CVE-2011-2525
  * nl80211: fix overflow in ssid_len - CVE-2011-2517
    - LP: #869245
    - CVE-2011-2517
  * mm: avoid wrapping vm_pgoff in mremap() - CVE-2011-2496
    - LP: #869243
    - CVE-2011-2496
  * vm: fix vm_pgoff wrap in stack expansion - CVE-2011-2496
    - LP: #869243
    - CVE-2011-2496
  * vm: fix vm_pgoff wrap in upward expansion - CVE-2011-2496
    - LP: #869243
    - CVE-2011-2496
 -- Paolo Pisati <email address hidden> Thu, 13 Oct 2011 12:19:09 +0200

Changed in linux-fsl-imx51 (Ubuntu Lucid):
status: New → Fix Released
Martin Pitt (pitti) wrote :

released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers